| AOMedia AV1 Codec

Data Fields
PrimaryMultiThreadInfo Struct Reference

Primary Encoder parameters related to multi-threading. More...

`#include <encoder.h>`

## Data Fields
int | num_workers
int | num_mod_workers [NUM_MT_MODULES]
AVxWorker * | workers
struct EncWorkerData * | tile_thr_data
AV1CdefWorkerData * | cdef_worker
AVxWorker * | p_workers [4]
int | p_num_workers
int | prev_num_enc_workers

## Detailed Description

Primary Encoder parameters related to multi-threading.

## Field Documentation

## ◆ num_workers

int PrimaryMultiThreadInfo::num_workers

Number of workers created for multi-threading.

## ◆ num_mod_workers

int PrimaryMultiThreadInfo::num_mod_workers[NUM_MT_MODULES]

Number of workers used for different MT modules.

## ◆ workers

AVxWorker* PrimaryMultiThreadInfo::workers

Synchronization object used to launch job in the worker thread.

## ◆ tile_thr_data

struct EncWorkerData* PrimaryMultiThreadInfo::tile_thr_data

Data specific to each worker in encoder multi-threading. tile_thr_data[i] stores the worker data of the ith thread.

## ◆ cdef_worker

AV1CdefWorkerData* PrimaryMultiThreadInfo::cdef_worker

CDEF row multi-threading data.

## ◆ p_workers

AVxWorker* PrimaryMultiThreadInfo::p_workers[4]

Primary(Level 1) Synchronization object used to launch job in the worker thread.

## ◆ p_num_workers

int PrimaryMultiThreadInfo::p_num_workers

Number of primary workers created for multi-threading.

## ◆ prev_num_enc_workers

int PrimaryMultiThreadInfo::prev_num_enc_workers

Tracks the number of workers in encode stage multi-threading.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h